Ansible Provisioners will soon support Ansible 2.x compatibility mode

classic Classic list List threaded Threaded
2 messages Options
Reply | Threaded
Open this post in threaded view
|

Ansible Provisioners will soon support Ansible 2.x compatibility mode

Gilles Cornu
Hello!

If you're an experienced Ansible/Vagrant user and are interested in upcoming full compatibility with Ansible 2.x, I would be very thankful if you look at the proposed design of the new compatibility_mode option (that will be part of next Vagrant release).
For more details about this development, see Pull Request #8913.

Feedbacks are welcome in response to this mailing-list post (and not in the PR, which discussion thread is reserved for the code review).

Many thanks in advance for your help on this!

Best regards,

Gilles Cornu

--
This mailing list is governed under the HashiCorp Community Guidelines - https://www.hashicorp.com/community-guidelines.html. Behavior in violation of those guidelines may result in your removal from this mailing list.
 
GitHub Issues: https://github.com/mitchellh/vagrant/issues
IRC: #vagrant on Freenode
---
You received this message because you are subscribed to the Google Groups "Vagrant" group.
To unsubscribe from this group and stop receiving emails from it, send an email to [hidden email].
To view this discussion on the web visit https://groups.google.com/d/msgid/vagrant-up/c165a731-e23b-4b6e-b0ea-2045c554bd73%40googlegroups.com.
For more options, visit https://groups.google.com/d/optout.
Reply | Threaded
Open this post in threaded view
|

Re: Ansible Provisioners will soon support Ansible 2.x compatibility mode

Gilles Cornu
As this is still a "work in progress", here is the link to the latest version of the docs.

Le vendredi 25 août 2017 16:38:11 UTC+2, Gilles Cornu a écrit :
Hello!

If you're an experienced Ansible/Vagrant user and are interested in upcoming full compatibility with Ansible 2.x, I would be very thankful if you look at the proposed design of the new <a href="https://github.com/mitchellh/vagrant/blob/6d71f2e728a379955e769ac6863ffc1e84d8ee3a/website/source/docs/provisioning/ansible_common.html.md#shared-ansible-options" target="_blank" rel="nofollow" onmousedown="this.href=&#39;https://www.google.com/url?q\x3dhttps%3A%2F%2Fgithub.com%2Fmitchellh%2Fvagrant%2Fblob%2F6d71f2e728a379955e769ac6863ffc1e84d8ee3a%2Fwebsite%2Fsource%2Fdocs%2Fprovisioning%2Fansible_common.html.md%23shared-ansible-options\x26sa\x3dD\x26sntz\x3d1\x26usg\x3dAFQjCNGI7p1MzyMtbkN4HKpsgsJegL1roQ&#39;;return true;" onclick="this.href=&#39;https://www.google.com/url?q\x3dhttps%3A%2F%2Fgithub.com%2Fmitchellh%2Fvagrant%2Fblob%2F6d71f2e728a379955e769ac6863ffc1e84d8ee3a%2Fwebsite%2Fsource%2Fdocs%2Fprovisioning%2Fansible_common.html.md%23shared-ansible-options\x26sa\x3dD\x26sntz\x3d1\x26usg\x3dAFQjCNGI7p1MzyMtbkN4HKpsgsJegL1roQ&#39;;return true;">compatibility_mode option (that will be part of next Vagrant release).
For more details about this development, see <a href="https://github.com/mitchellh/vagrant/pull/8913" target="_blank" rel="nofollow" onmousedown="this.href=&#39;https://www.google.com/url?q\x3dhttps%3A%2F%2Fgithub.com%2Fmitchellh%2Fvagrant%2Fpull%2F8913\x26sa\x3dD\x26sntz\x3d1\x26usg\x3dAFQjCNEBPZyKAz39BJOK51Qe0JK225l1Lw&#39;;return true;" onclick="this.href=&#39;https://www.google.com/url?q\x3dhttps%3A%2F%2Fgithub.com%2Fmitchellh%2Fvagrant%2Fpull%2F8913\x26sa\x3dD\x26sntz\x3d1\x26usg\x3dAFQjCNEBPZyKAz39BJOK51Qe0JK225l1Lw&#39;;return true;">Pull Request #8913.

Feedbacks are welcome in response to this mailing-list post (and not in the PR, which discussion thread is reserved for the code review).

Many thanks in advance for your help on this!

Best regards,

Gilles Cornu

--
This mailing list is governed under the HashiCorp Community Guidelines - https://www.hashicorp.com/community-guidelines.html. Behavior in violation of those guidelines may result in your removal from this mailing list.
 
GitHub Issues: https://github.com/mitchellh/vagrant/issues
IRC: #vagrant on Freenode
---
You received this message because you are subscribed to the Google Groups "Vagrant" group.
To unsubscribe from this group and stop receiving emails from it, send an email to [hidden email].
To view this discussion on the web visit https://groups.google.com/d/msgid/vagrant-up/75ca766d-cb89-481a-9b6e-7594f0db33b2%40googlegroups.com.
For more options, visit https://groups.google.com/d/optout.